Package be.ehealth.technicalconnector.exception

# Class TechnicalConnectorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
be.ehealth.technicalconnector.exception.ConnectorException
be.ehealth.technicalconnector.exception.TechnicalConnectorException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BeIDPinCodeException`, `CertificateVerificationException`, `ConnectorValidationException`, `InvalidBlobContentConnectorException`, `InvalidTimeStampException`, `NoNextEndpointException`, `RaException`, `SessionManagementException`, `SilentInstantiationException`, `SoaErrorException`, `UnsealConnectorException`

public class TechnicalConnectorException extends ConnectorException
The Class TechnicalConnectorException..

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TechnicalConnectorException(TechnicalConnectorExceptionValues errorCodeValue, Object... params)`
  Creates a new TechnicalConnectorException.
  `TechnicalConnectorException(TechnicalConnectorExceptionValues errorCodeValue, Throwable e, Object... params)`
  Creates a new TechnicalConnectorException.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TechnicalConnectorExceptionValues`
  `getCategory()`

  ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TechnicalConnectorException

    public TechnicalConnectorException(TechnicalConnectorExceptionValues errorCodeValue, Object... params)
    Creates a new TechnicalConnectorException.
    Parameters:
      `errorCodeValue` - an entry from TechnicalConnectorExceptionValues enumeration
      `params` - the strings that complete the errorCodeValue message

  - ### TechnicalConnectorException

    public TechnicalConnectorException(TechnicalConnectorExceptionValues errorCodeValue, Throwable e, Object... params)
    Creates a new TechnicalConnectorException.
    Parameters:
      `errorCodeValue` - an entry from TechnicalConnectorExceptionValues enumeration
      `e` - the initial exception
      `params` - the strings that complete the errorCodeValue message

- ## Method Details

  - ### getCategory

    public TechnicalConnectorExceptionValues getCategory()
    Returns:
      the errorCodeValue